Control-M compatibility for version 9.0.20.100

The following sections present compatibility information for the major Control-M components, as of Control-M 9.0.20 Fix Pack 1 (version 9.0.20.100):

Control-M compatibility with operating systems, databases, and other products

The following lists of supported operating systems, databases, and other products (BMC products and third-party products) for Control-M components are obtained from the BMC Product Compatibility page. 

Control-M compatibility with browsers

Control-M is optimized for Google Chrome (version 78 or higher) and Microsoft Edge (version 80). In our tests, we've opened and used viewpoints with 20,000 jobs.

Compatibility between Control-M components

The following sections discuss compatibility between Control-M components of version 9.0.20:

Control-M/EM compatibility with other Control-M components

The following table lists the Control-M components that are compatible with Control-M/EM 9.0.20.

Control-M/EM version 9.0.20 is compatible with all supported versions of Application Plug-ins and options for application-specific products that were available before this release.

Control-M component

Version (including fix packs)

Control-M/Server

  • 9.0.20
  • 9.0.19
  • 9.0.18

Control-M SLA Manager (BIM)

  • 9.0.20

Control-M/Forecast

  • 9.0.20

Control-M Web

  • 9.0.20

BMC Workload Change Manager

  • 9.0.20

BMC Control-M Workload Archiving

  • 9.0.20

Control-M for z/OS

  • 9.0.20
  • 9.0.19
  • 9.0.18

Control-M/Server compatibility with other Control-M components

The table below lists the versions of Control-M components that are compatible with Control-M/Server 9.0.20.

NOTE: The version of Control-M/EM determines the version compatibility mode of the Control-M/Server. For example, if Control-M/EM is version 9.0.18 and Control-M/Server is version 9.0.20, compatibility mode for Control-M/Server is set to version 9.0.18.

Control-M component

Version (including fix packs)

Control-M/Enterprise Manager

  • 9.0.20
  • 9.0.19
  • 9.0.18
Control-M/Agent for UNIX and Microsoft Windows
  • 9.0.20
  • 9.0.19
  • 9.0.18

Control-M/Agent for IBM i (AS/400)

  • 9.0.19
  • 7.0.01
  • 7.0.00

Control-M/Agent for Tandem Guardian

  • 9.0.00
  • 6.3.02

Control-M/Agent for UNISYS 2200

  • 6.4.01

Control-M/Agent compatibility with other Control-M components

The following table lists the versions of Control-M components that are compatible with Control-M/Agent 9.0.20.

Control-M component

Version (including fix packs)

Control-M/Enterprise Manager

  • 9.0.20
  • 9.0.19
  • 9.018

Control-M/Server for UNIX and Microsoft Windows

  • 9.0.20
  • 9.0.19
  • 9.018

Control-M Application Plug-ins

All Control-M Application Plug-ins released versions

NOTE: Some of the Control-M Application Plug-ins are installed automatically when you install Control-M 9.0.20 full installation.

Control-M Managed File Transfer and Managed File Transfer Enterprise

Note

  • MFT - The embedded File Transfer Server (FTS) is supported only on Windows and Linux.
  • MFT Enterprise – Hub component is supported only on Windows and Linux.
  • MFT Enterprise – Gateway component is supported only on Linux.

The following table describes the Control-M/EM, Control-M/Server and Control-M/Agent versions that are compatible with Control-M Managed File Transfer:

Control-M component

Versions

Control-M/EM

9.0.18.200 and above

For Centralized Connection Profiles, Control-M/EM must be 9.0.20 or above.

Control-M/Server for UNIX and Windows

9.0.18.200 and above

For Centralized Connection Profiles, Control-M/Server must be 9.0.20 or above.

For deployment of Control-M MFT to Control-M/Agent 9.0.20,  Control-M/Server must also be 9.0.20 or above.

Control-M/Agent for UNIX and Windows

9.0.18.200 or above

Windows and Linux: Control-M/Agent can only run as 64 bit.

For Centralized Connection Profiles, Control-M/Agent must be 9.0.20 or above.

The following table describes the Control-M/EM, Control-M/Server and Control-M/Agent versions that are compatible with Control-M Managed File Transfer Enterprise:

Control-M component

Versions

Control-M/EM

9.0.20 and above

Automation API must be 9.0.20.100 or above.

Control-M/Server for UNIX and Windows

9.0.20 and above

Control-M/Agent for UNIX and Windows

9.0.20 and above

Windows and Linux: Control-M/Agent can only run as 64 bit.


Note

  • The Gateways must be installed in the DMZ area for accepting file transfer requests from outside your organization.
  • The Gateways and Control-M MFT must be the same version.

Control-M language compatibility

The following table lists the languages that are compatible with Control-M/EM.

Language

Level of support

East Asian (CJK)

The following languages are supported:

  • Traditional Chinese
  • Simplified Chinese
  • Japanese
  • Korean

Western European (Latin-1 character set)

Special Western European characters used in English, Spanish, German, and French can be specified in most free-text fields and parameters.

Basic ASCII

US English

End of support (EOS)

The following platforms will no longer be supported starting with Control-M 9.0.20:

Control-M/Agent

Starting with Control-M/Agent 9.0.20, the following operating systems will no longer be supported:

  • CentOS 6
  • Windows 32 bit
  • RedHat 5
  • Suse 11
  • Windows 2008
  • Solaris 10
Was this page helpful? Yes No Submitting... Thank you

Comments